# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Public Attributes | List of all members
DBus::InternalError Struct Reference

`#include <internalerror.h>`

## Public Member Functions

| InternalError ()
| InternalError (DBusError *e)
| InternalError (const InternalError &ie)
| ~InternalError ()
| operator DBusError * ()
| operator bool ()

## Public Attributes

DBusError | error

## Detailed Description

Definition at line 39 of file internalerror.h.

## Constructor & Destructor Documentation

## ◆ InternalError() [1/3]

DBus::InternalError::InternalError | ( |  | ) |

inline

Definition at line 43 of file internalerror.h.

References error.

Referenced by InternalError().

## ◆ InternalError() [2/3]

DBus::InternalError::InternalError | ( | DBusError * | e | ) |

inline explicit

Definition at line 48 of file internalerror.h.

References error.

## ◆ InternalError() [3/3]

DBus::InternalError::InternalError | ( | const InternalError & | ie | ) |

inline

Definition at line 54 of file internalerror.h.

References error, and InternalError().

## ◆ ~InternalError()

DBus::InternalError::~InternalError | ( |  | ) |

inline

Definition at line 60 of file internalerror.h.

References error.

## Member Function Documentation

## ◆ operator bool()

DBus::InternalError::operator bool | ( |  | ) |

inline

Definition at line 70 of file internalerror.h.

References error.

## ◆ operator DBusError *()

DBus::InternalError::operator DBusError * | ( |  | ) |

inline

Definition at line 65 of file internalerror.h.

References error.

## Member Data Documentation

## ◆ error

DBusError DBus::InternalError::error

Definition at line 41 of file internalerror.h.

Referenced by InternalError(), InternalError(), InternalError(), operator bool(), operator DBusError *(), and ~InternalError().

The documentation for this struct was generated from the following file:

- internalerror.h